# Note that this is NOT a relocatable package
%define ver      0.7
%define rel      1
%define prefix   /usr

Summary: Gsox
Name: gsox
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Utilities
Source: gsox-%{ver}.tar.gz
BuildRoot: /tmp/gsox-root
Packager: Lev Babiev <lev@mindless.com>
Docdir: %{prefix}/doc

%description
Gsox is a Gnome frontend for sox sound covertor.

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*

